Package org.springframework.security.config.annotation.authentication.configurers.userdetails

# Class UserDetailsAwareConfigurer<B extends ProviderManagerBuilder<B>,U extends org.springframework.security.core.userdetails.UserDetailsService>

java.lang.Object
org.springframework.security.config.annotation.SecurityConfigurerAdapter<org.springframework.security.authentication.AuthenticationManager,B>
org.springframework.security.config.annotation.authentication.configurers.userdetails.UserDetailsAwareConfigurer<B,U>

Type Parameters:
  `B` - the type of the `ProviderManagerBuilder`
  `U` - the type of `UserDetailsService`

All Implemented Interfaces:
  `SecurityConfigurer<org.springframework.security.authentication.AuthenticationManager,B>`

Direct Known Subclasses:
  `AbstractDaoAuthenticationConfigurer`

public abstract class UserDetailsAwareConfigurer<B extends ProviderManagerBuilder<B>,U extends org.springframework.security.core.userdetails.UserDetailsService> extends SecurityConfigurerAdapter<org.springframework.security.authentication.AuthenticationManager,B>
Base class that allows access to the `UserDetailsService` for using as a default value with `AuthenticationManagerBuilder`.

## Constructor Summary

Constructors
Constructor
Description
`UserDetailsAwareConfigurer()`

## Method Summary

Modifier and Type
Method
Description
`abstract U`
`getUserDetailsService()`
Gets the `UserDetailsService` or null if it is not available

### Methods inherited from class org.springframework.security.config.annotation.SecurityConfigurerAdapter

`addObjectPostProcessor, addObjectPostProcessor, and, configure, getBuilder, init, postProcess, setBuilder`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### UserDetailsAwareConfigurer

public UserDetailsAwareConfigurer()

## Method Details

### getUserDetailsService

public abstract U getUserDetailsService()
Gets the `UserDetailsService` or null if it is not available

Returns:
  the `UserDetailsService` or null if it is not available